For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI Reference
HomeGuidesAPI Reference
  • Reference - Partner API
      • GETGet Capabilities
      • PUTEnable or Disable Payment Method
      • PUTEnable or Disable Cross Border Trade
      • Lending
      • ProductConfiguration
LogoLogo
Reference - Partner APICapabilities

Enable or Disable Payment Method

PUT
/v1/onboardings/:onboardingId/capabilities/lending
PUT
/v1/onboardings/:onboardingId/capabilities/lending
$curl -X PUT https://agencyapi.afterpay.com/v1/onboardings/123abcd-456efgh-1124bd/capabilities/lending \
> -H "Accept: application/json" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "lending": [
> {
> "channel": "ONLINE",
> "enabled": true
> }
> ]
>}'
1{
2 "lending": [
3 {
4 "channel": "ONLINE",
5 "enabled": true,
6 "configuration": {
7 "minimumAmount": {
8 "amount": "200",
9 "currency": "USD"
10 },
11 "maximumAmount": {
12 "amount": "4000",
13 "currency": "USD"
14 },
15 "rateDetails": [
16 {
17 "variableRatePercentage": "5.00",
18 "fixedRate": "0.30",
19 "fixedRateCurrencyCode": "USD",
20 "rateType": "ONGOING",
21 "durationInMonths": 1,
22 "effectiveFrom": "2023-09-17T21:41:47.341+00:00"
23 }
24 ]
25 }
26 }
27 ],
28 "errors": [
29 "string"
30 ]
31}
Monthly Payments (MP) is Afterpay's interest-bearing product that allows consumers to split the purchase into 6 to 24 monthly payments. All merchants are synchronously enrolled into Afterpay's PM product during the Create an onboarding call. This is based on merchant country, merchant category code (MCC), and agreed-on gating logic between Afterpay and the partner. Optionally, partners have an option to call this capabilities endpoint to disable PM or enable PM if it has been disabled before.
Was this page helpful?
Previous

Enable or Disable Cross Border Trade

Next
Built with

Monthly Payments (MP) is Afterpay’s interest-bearing product that allows consumers to split the purchase into 6 to 24 monthly payments.

All merchants are synchronously enrolled into Afterpay’s PM product during the Create an onboarding call. This is based on merchant country, merchant category code (MCC), and agreed-on gating logic between Afterpay and the partner.

Optionally, partners have an option to call this capabilities endpoint to disable PM or enable PM if it has been disabled before.

Path parameters

onboardingIdstringRequired
The ID returned during a successful Create an onboarding call.

Headers

User-AgentstringRequired
AcceptstringRequiredDefaults to application/json
Specifies media types that are acceptable for the response.

Request

This endpoint expects an object.
lendinglist of objectsRequired

Response

Pay Monthly (PM) capability updated successfully.

lendinglist of objects
errorslist of any
Shows any errors encountered during the capability enablement.

Errors

503
Service Unavailable Error